package fr.yunes.search;

import java.util.List;

public class Test {

	public static final String fileName = "/tmp/discoursMedium.txt";
	public static final String word = "homme";

	public static void main(String[] args) throws Exception {
		
		// On découpe en 10 morceaux
		List<Chunk> chunks = FileSplitter.getChunks(fileName, 10);
		
		// On calcule le nombre d'occurence pour chaque morceau
		long n = 0;
		for (var c: chunks) {
			n += new ChunkReader(fileName,c,word).compute(true); // print debug info
		}
		
		System.out.println("Le mot "+word+" apparaît "+n+" fois dans le fichier "+fileName);
	}

}